## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check

%global crate sequoia-keyring-linter

Name:           rust-sequoia-keyring-linter
Version:        1.0.0
Release:        %autorelease
Summary:        Linter for keyrings

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-keyring-linter
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude files that are only useful for upstream development
# * prevent manpages from getting installed twice
# * bump assert_cmd to 2.0.0
# * remove feature for Windows-specific cryptography
Patch:          sequoia-keyring-linter-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Linter for keyrings.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# BSL-1.0
# GPL-2.0-or-later
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        GPL-2.0 AND Apache-2.0 AND BSL-1.0 AND MIT AND Unicode-DFS-2016

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sq-keyring-linter
%{_mandir}/man1/sq-keyring-linter*

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav sq-keyring-linter.1 %{buildroot}/%{_mandir}/man1/

%if %{with check}
%check
# * skip a test that should fail but unexpectedly succeeds
%cargo_test -- -- --skip integration::sha1_authentication_subkey
%endif

%changelog
* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> 1.0.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Fabio Valentini <decathorpe@gmail.com> 1.0.0-1
- Update to version 1.0.0; Fixes RHBZ#2138837

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> 0.5.0-8
- Rebuild with sequoia-openpgp 1.8.0

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.5.0-7
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.5.0-5
- Bump assert_cmd to 2.0.0

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Temporarily ignore integer overflow in test suite on 32-bit architectures.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Initial package

